Get Time Zone
curl --request POST \
--url https://api.aisa.one/apis/v1/google-maps/get-time-zone \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"location": "39.6034810,-119.6822510",
"timestamp": 1331161200
}
'import requests
url = "https://api.aisa.one/apis/v1/google-maps/get-time-zone"
payload = {
"location": "39.6034810,-119.6822510",
"timestamp": 1331161200
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({location: '39.6034810,-119.6822510', timestamp: 1331161200})
};
fetch('https://api.aisa.one/apis/v1/google-maps/get-time-zone', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/google-maps/get-time-zone",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'location' => '39.6034810,-119.6822510',
'timestamp' => 1331161200
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/google-maps/get-time-zone"
payload := strings.NewReader("{\n \"location\": \"39.6034810,-119.6822510\",\n \"timestamp\": 1331161200\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/google-maps/get-time-zone")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"location\": \"39.6034810,-119.6822510\",\n \"timestamp\": 1331161200\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/google-maps/get-time-zone")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"location\": \"39.6034810,-119.6822510\",\n \"timestamp\": 1331161200\n}"
response = http.request(request)
puts response.read_body{
"status": "OK",
"dstOffset": 123,
"rawOffset": 123,
"timeZoneId": "America/Los_Angeles",
"errorMessage": "<string>",
"timeZoneName": "Pacific Daylight Time"
}Google Maps
Get Time Zone
<!-- aisa-pricing:start -->
按用量计费;默认请求预估费用:$0.0053 USD(不是固定价格)。 声明的单位费率:每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。
<!-- aisa-pricing:end -->
POST
https://api.aisa.one
/
apis
/
v1
/
google-maps
/
get-time-zone
Get Time Zone
curl --request POST \
--url https://api.aisa.one/apis/v1/google-maps/get-time-zone \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"location": "39.6034810,-119.6822510",
"timestamp": 1331161200
}
'import requests
url = "https://api.aisa.one/apis/v1/google-maps/get-time-zone"
payload = {
"location": "39.6034810,-119.6822510",
"timestamp": 1331161200
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({location: '39.6034810,-119.6822510', timestamp: 1331161200})
};
fetch('https://api.aisa.one/apis/v1/google-maps/get-time-zone', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/google-maps/get-time-zone",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'location' => '39.6034810,-119.6822510',
'timestamp' => 1331161200
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/google-maps/get-time-zone"
payload := strings.NewReader("{\n \"location\": \"39.6034810,-119.6822510\",\n \"timestamp\": 1331161200\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/google-maps/get-time-zone")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"location\": \"39.6034810,-119.6822510\",\n \"timestamp\": 1331161200\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/google-maps/get-time-zone")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"location\": \"39.6034810,-119.6822510\",\n \"timestamp\": 1331161200\n}"
response = http.request(request)
puts response.read_body{
"status": "OK",
"dstOffset": 123,
"rawOffset": 123,
"timeZoneId": "America/Los_Angeles",
"errorMessage": "<string>",
"timeZoneName": "Pacific Daylight Time"
}请求规范
- 方法与路径: POST /apis/v1/google-maps/get-time-zone
- 可用状态: enabled
- 请求 URL 模板:
https://api.aisa.one/apis/v1/google-maps/get-time-zone - Runtime 事实版本: 3b5a2acec503471a11eb19f2556b4dd51989d71bc63d22f67f55218e55b002ef
{
"operationId": "google-maps.get-time-zone",
"method": "POST",
"path": "/apis/v1/google-maps/get-time-zone",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"location",
"timestamp"
],
"properties": {
"language": {
"enum": [
"ar",
"bg",
"bn",
"ca",
"cs",
"da",
"de",
"el",
"en",
"en-AU",
"en-GB",
"es",
"eu",
"fa",
"fi",
"fil",
"fr",
"gl",
"gu",
"hi",
"hr",
"hu",
"id",
"it",
"iw",
"ja",
"kn",
"ko",
"lt",
"lv",
"ml",
"mr",
"nl",
"no",
"pl",
"pt",
"pt-BR",
"pt-PT",
"ro",
"ru",
"sk",
"sl",
"sr",
"sv",
"ta",
"te",
"th",
"tl",
"tr",
"uk",
"vi",
"zh-CN",
"zh-TW"
],
"type": "string",
"examples": [
"en",
"es",
"fr"
],
"description": "Supported language codes for Google Maps API."
},
"location": {
"type": "string",
"examples": [
"39.6034810,-119.6822510",
"37.7749,-122.4194"
],
"description": "A comma-separated latitude,longitude tuple representing the location to look up. For example: '39.6034810,-119.6822510'."
},
"timestamp": {
"type": "integer",
"examples": [
1331161200,
1609459200
],
"description": "The desired time as seconds since midnight, January 1, 1970 UTC (Unix epoch time). The API uses this timestamp to determine whether Daylight Savings should be applied for the location's time zone."
}
}
}
}
}
},
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "response_units",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"default_request_estimate_usd": 0.0053,
"estimate_source": "profile_seed",
"evidence_source": "response_body",
"maximum_units": 10000000,
"unit": "provider_credit",
"unit_rate_usd": 1e-06
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
费用与请求规则
按用量计费;默认请求预估费用:$0.0053 USD(不是固定价格)。 声明的单位费率:每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。 公开参考值不是你的账户报价或最终扣费。对于支持 X-AISA-Cost-Mode: quote 的接口,执行前请针对完整请求获取免费报价;执行后通过响应费用元数据和 Usage Logs 核对结算费用。1 USD 等于 1,000,000 个整数 micro-USD。- 默认请求参考估价(USD): 0.0053
- 声明的单位费率(USD): 1e-06
- 计费单位: provider_credit
- 计费依据: response_units
- 公开参考倍率: 1.0
- 声明的最大计数或单位数: 10000000
- 结算证据来源: response_body
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
A comma-separated latitude,longitude tuple representing the location to look up. For example: '39.6034810,-119.6822510'.
示例:
"39.6034810,-119.6822510"
"37.7749,-122.4194"
The desired time as seconds since midnight, January 1, 1970 UTC (Unix epoch time). The API uses this timestamp to determine whether Daylight Savings should be applied for the location's time zone.
示例:
1331161200
1609459200
Supported language codes for Google Maps API.
可用选项:
ar, bg, bn, ca, cs, da, de, el, en, en-AU, en-GB, es, eu, fa, fi, fil, fr, gl, gu, hi, hr, hu, id, it, iw, ja, kn, ko, lt, lv, ml, mr, nl, no, pl, pt, pt-BR, pt-PT, ro, ru, sk, sl, sr, sv, ta, te, th, tl, tr, uk, vi, zh-CN, zh-TW 示例:
"en"
"es"
"fr"
响应
Tool result data
可用选项:
OK, INVALID_REQUEST, OVER_DAILY_LIMIT, OVER_QUERY_LIMIT, REQUEST_DENIED, UNKNOWN_ERROR, ZERO_RESULTS 示例:
"America/Los_Angeles"
"Australia/Sydney"
"Europe/London"
示例:
"Pacific Daylight Time"
"Australian Eastern Daylight Time"